Retrieves the article stock location list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

article_stock_location_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_stock_location_id

Foreign key of the article_stock_location

globally unique identifier

Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided

article_stock_location_reference_back_office

string

Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided

article_stock_location

Embedded entity "article_stock_location" using ERP PK when adding/updating

article_stock_location

Optionally required : article_stock_location_id,article_stock_location_reference_back_office or article_stock_location must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

quantity

Quantity in stock for this article, for this stock

integer

Required

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "33bcb496-b0f8-40ab-b631-163e58f42ad2",
  "article_stock_location_id": "e5b1d59a-095c-437c-a750-25198dbe618c",
  "article_stock_location_reference_back_office": "sample string 3",
  "article_id": "d83c4826-7981-4e81-9880-97b13d4bedf9",
  "article_code": "sample string 5",
  "quantity": 6,
  "reference_back_office": "sample string 7",
  "modified_dateutc": "2026-10-28T21:51:02.3706739+00:00"
}